Subject: Re: bug#16094: bug: cp/mv cannot copy/move a file's extended attrs if they start with 'security'

From: Pádraig Brady <[email-masked]>
Date: Tue, 10 Dec 2013 08:52:18 +0000

On 12/09/2013 11:15 PM, Linda Walsh wrote:
> 
> 
> On 12/9/2013 2:24 PM, Pádraig Brady wrote:
>>> So what's up with this?  Shouldn't the NTACL be able to be stored/moved with the
>>> file?
>>
>> This would be security policy enforced by the system I suspect.
>> I.E. mv is not filtering these explicitly.
> ----
> Ideas as to how?   I.e. Is it part of the gnu libraries?
> 
> I only build the "standard linux security model" into my kernel, so unless
> it's a part of a fs driver or something, I'm fairly sure it is not
> coming from the kernel...

Note since you're writing to /tmp it might be an issue with tmpfs?
Have a look at recent TMPFS_SECURITY and TMPFS_XATTR kernel options are enabled.
Also there are acl mount options that might impact here too.

thanks,
Pádraig.